MDL-33479 removed legacy constructor causing strict notice in php5
authorMarina Glancy <marina@moodle.com>
Thu, 24 May 2012 01:39:06 +0000 (09:39 +0800)
committerMarina Glancy <marina@moodle.com>
Tue, 5 Jun 2012 01:27:32 +0000 (09:27 +0800)
lib/tablelib.php

index e991bea..b810564 100644 (file)
@@ -131,17 +131,6 @@ class flexible_table {
         );
     }
 
-    /**
-     * Backwards-compatible constructor, so that legacy code subclassing
-     * flexible_table does not break.
-     * @deprecated since Moodle 2.0. Will be removed in Moodle 2.1.
-     */
-    function flexible_table($uniqueid) {
-        debugging('Please update your code to user PHP5-style parent::__construct(...), ' .
-                'not parent::flexible_table(...).');
-        $this->__construct($uniqueid);
-    }
-
     /**
      * Call this to pass the download type. Use :
      *         $download = optional_param('download', '', PARAM_ALPHA);